# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *

class Ui_singleLaunchSetupDialog(object):
    def setupUi(self, singleLaunchSetupDialog):
        scaleUI = SCALE_UI
        singleLaunchSetupDialog.setObjectName("singleLaunchSetupDialog")
        singleLaunchSetupDialog.resize(300*scaleUI, 470*scaleUI)
        singleLaunchSetupDialog.setMinimumSize(QtCore.QSize(300*scaleUI, 470*scaleUI))
        singleLaunchSetupDialog.setMaximumSize(QtCore.QSize(300*scaleUI, 470*scaleUI))
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/singleLaunch.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        singleLaunchSetupDialog.setWindowIcon(icon)
        self.buttonBox = QtGui.QDialogButtonBox(singleLaunchSetupDialog)
        self.buttonBox.setGeometry(QtCore.QRect(50*scaleUI, 430*scaleUI, 230*scaleUI, 32*scaleUI))
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtGui.QDialogButtonBox.Cancel|QtGui.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.groupBox = QtGui.QGroupBox(singleLaunchSetupDialog)
        self.groupBox.setGeometry(QtCore.QRect(10*scaleUI, 10*scaleUI, 271*scaleUI, 80*scaleUI))
        self.groupBox.setObjectName("groupBox")
        self.transmissionRadioButton = QtGui.QRadioButton(self.groupBox)
        self.transmissionRadioButton.setGeometry(QtCore.QRect(20*scaleUI, 30*scaleUI, 200*scaleUI, 18*scaleUI))
        self.transmissionRadioButton.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.transmissionRadioButton.setObjectName("transmissionRadioButton")
        self.pulseEchoRadioButton = QtGui.QRadioButton(self.groupBox)
        self.pulseEchoRadioButton.setGeometry(QtCore.QRect(20*scaleUI, 50*scaleUI, 160*scaleUI, 18*scaleUI))
        self.pulseEchoRadioButton.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.pulseEchoRadioButton.setObjectName("pulseEchoRadioButton")
        self.groupBox_1 = QtGui.QGroupBox(singleLaunchSetupDialog)
        self.groupBox_1.setGeometry(QtCore.QRect(10*scaleUI, 70*scaleUI, 271*scaleUI, 30*scaleUI))
        self.groupBox_1.setObjectName("groupBox_1")
        self.hideReceiverRadioButton = QtGui.QRadioButton(self.groupBox_1)
        self.hideReceiverRadioButton.setGeometry(QtCore.QRect(20*scaleUI, 10*scaleUI, 160*scaleUI, 18*scaleUI))
        self.hideReceiverRadioButton.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.hideReceiverRadioButton.setObjectName("hideReceiverRadioButton")
        self.groupBox_2 = QtGui.QGroupBox(singleLaunchSetupDialog)
        self.groupBox_2.setGeometry(QtCore.QRect(10*scaleUI, 100*scaleUI, 271*scaleUI, 323*scaleUI))
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtGui.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.formLayout = QtGui.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.FieldsStayAtSizeHint)
        self.formLayout.setObjectName("formLayout")
        self.transducerLocationLabel = QtGui.QLabel(self.groupBox_2)
        self.transducerLocationLabel.setObjectName("transducerLocationLabel")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.transducerLocationLabel)
        self.locationComboBox = QtGui.QComboBox(self.groupBox_2)
        self.locationComboBox.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.locationComboBox.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.locationComboBox.setObjectName("locationComboBox")
        self.locationComboBox.addItem("")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.locationComboBox)
        self.pointSourceCheckBox = QtGui.QCheckBox(self.groupBox_2)
        self.pointSourceCheckBox.setFocusPolicy(QtCore.Qt.WheelFocus)
        self.pointSourceCheckBox.setToolTip("")
        self.pointSourceCheckBox.setObjectName("pointSourceCheckBox")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.pointSourceCheckBox)
        self.transducerSizeLabel = QtGui.QLabel(self.groupBox_2)
        self.transducerSizeLabel.setObjectName("transducerSizeLabel")
        self.formLayout.setWidget(2, QtGui.QFormLayout.LabelRole, self.transducerSizeLabel)
        self.transducerSizeLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.transducerSizeLineEdit.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.transducerSizeLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.transducerSizeLineEdit.setObjectName("transducerSizeLineEdit")
        self.formLayout.setWidget(2, QtGui.QFormLayout.FieldRole, self.transducerSizeLineEdit)
        self.centerOffsetLabel = QtGui.QLabel(self.groupBox_2)
        self.centerOffsetLabel.setObjectName("centerOffsetLabel")
        self.formLayout.setWidget(3, QtGui.QFormLayout.LabelRole, self.centerOffsetLabel)
        self.centerOffsetLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.centerOffsetLineEdit.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.centerOffsetLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.centerOffsetLineEdit.setObjectName("centerOffsetLineEdit")
        self.formLayout.setWidget(3, QtGui.QFormLayout.FieldRole, self.centerOffsetLineEdit)
        self.borderOffsetLabel = QtGui.QLabel(self.groupBox_2)
        self.borderOffsetLabel.setObjectName("borderOffsetLabel")
        self.formLayout.setWidget(4, QtGui.QFormLayout.LabelRole, self.borderOffsetLabel)
        self.borderOffsetLineEdit = QtGui.QLineEdit(self.groupBox_2)
        self.borderOffsetLineEdit.setMinimumSize(QtCore.QSize(80*scaleUI, 0))
        self.borderOffsetLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.borderOffsetLineEdit.setObjectName("borderOffsetLineEdit")
        self.formLayout.setWidget(4, QtGui.QFormLayout.FieldRole, self.borderOffsetLineEdit)
        self.verticalLayout_2.addLayout(self.formLayout)
        self.verticalLayout = QtGui.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.previewPushButton = QtGui.QPushButton(self.groupBox_2)
        self.previewPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.previewPushButton.setMaximumSize(QtCore.QSize(16777215, 41*scaleUI))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/previewImage.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.previewPushButton.setIcon(icon1)
        self.previewPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.previewPushButton.setObjectName("previewPushButton")
        self.verticalLayout.addWidget(self.previewPushButton)
        self.advancedParametersSetupPushButton = QtGui.QPushButton(self.groupBox_2)
        self.advancedParametersSetupPushButton.setMinimumSize(QtCore.QSize(0, 41*scaleUI))
        self.advancedParametersSetupPushButton.setMaximumSize(QtCore.QSize(16777215, 41*scaleUI))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/simModel.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.advancedParametersSetupPushButton.setIcon(icon2)
        self.advancedParametersSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.advancedParametersSetupPushButton.setObjectName("advancedParametersSetupPushButton")
        self.verticalLayout.addWidget(self.advancedParametersSetupPushButton)
        self.signalSetupPushButton = QtGui.QPushButton(self.groupBox_2)
        self.signalSetupPushButton.setMinimumSize(QtCore.QSize(0, 40*scaleUI))
        self.signalSetupPushButton.setMaximumSize(QtCore.QSize(16777215, 40*scaleUI))
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/signal.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.signalSetupPushButton.setIcon(icon3)
        self.signalSetupPushButton.setIconSize(QtCore.QSize(24*scaleUI, 24*scaleUI))
        self.signalSetupPushButton.setCheckable(False)
        self.signalSetupPushButton.setDefault(False)
        self.signalSetupPushButton.setFlat(False)
        self.signalSetupPushButton.setObjectName("signalSetupPushButton")
        self.verticalLayout.addWidget(self.signalSetupPushButton)
        self.verticalLayout_2.addLayout(self.verticalLayout)

        self.retranslateUi(singleLaunchSetupDialog)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("accepted()"), singleLaunchSetupDialog.accept)
        QtCore.QObject.connect(self.buttonBox, QtCore.SIGNAL("rejected()"), singleLaunchSetupDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(singleLaunchSetupDialog)

    def retranslateUi(self, singleLaunchSetupDialog):
        singleLaunchSetupDialog.setWindowTitle(QtGui.QApplication.translate("singleLaunchSetupDialog", "Single Launch Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox.setTitle(QtGui.QApplication.translate("singleLaunchSetupDialog", "Inspection Method", None, QtGui.QApplication.UnicodeUTF8))
        self.transmissionRadioButton.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Through Transmission", None, QtGui.QApplication.UnicodeUTF8))
        self.pulseEchoRadioButton.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Pulse Echo", None, QtGui.QApplication.UnicodeUTF8))
        self.hideReceiverRadioButton.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Hide Receiver", None, QtGui.QApplication.UnicodeUTF8))
        self.groupBox_2.setTitle(QtGui.QApplication.translate("singleLaunchSetupDialog", "Transducer Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.transducerLocationLabel.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Transducer Location", None, QtGui.QApplication.UnicodeUTF8))
        self.locationComboBox.setItemText(0, QtGui.QApplication.translate("singleLaunchSetupDialog", "Top", None, QtGui.QApplication.UnicodeUTF8))
        self.pointSourceCheckBox.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Point Source", None, QtGui.QApplication.UnicodeUTF8))
        self.transducerSizeLabel.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Transducer Size (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.centerOffsetLabel.setToolTip(QtGui.QApplication.translate("singleLaunchSetupDialog", "<html><head/><body><p>Offset measured from the center of the Scenario along the x-axis. Positive values indicate offsets toward the right while negatives values indicate offsets toward the left.</p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.centerOffsetLabel.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Center Offset (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.centerOffsetLineEdit.setToolTip(QtGui.QApplication.translate("singleLaunchSetupDialog", "<html><head/><body><p>Offset measured from the center of the Scenario along the x-axis. Positive values indicate offsets toward the right while negatives values indicate offsets toward the left.</p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.borderOffsetLabel.setToolTip(QtGui.QApplication.translate("singleLaunchSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:14pt;\">Border Offset is measured taking into account the top border as origin. Only positive values are allowed that indicates offsets towards below.</span><br/><img src=\":/helperBorderOffset.png\"/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.borderOffsetLabel.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Border Offset (mm)", None, QtGui.QApplication.UnicodeUTF8))
        self.borderOffsetLineEdit.setToolTip(QtGui.QApplication.translate("singleLaunchSetupDialog", "<html><head/><body><p align=\"justify\"><span style=\" font-size:14pt;\">Border Offset is measured taking into account the top border as origin. Only positive values are allowed that indicates offsets towards below.</span><br/><img src=\":/helperBorderOffset.png\"/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p></body></html>", None, QtGui.QApplication.UnicodeUTF8))
        self.previewPushButton.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Preview Transducer Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.advancedParametersSetupPushButton.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Advanced Parameters Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.signalSetupPushButton.setText(QtGui.QApplication.translate("singleLaunchSetupDialog", "Signal Parameters", None, QtGui.QApplication.UnicodeUTF8))
